%define pkg_name        Test-MockRandom
%define pkg_version     0.99
%define rpm_pkg_version 0.99
%define rpm_pkg_release 2.n0i.2

Summary:       Override randoms with non-random behavior
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Test/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.45


%description
This perhaps ridiculous-seeming module was created to test routines that
manipulate random numbers by providing a known output from "rand". Given a
list of seeds with "srand", it will return each in turn. After seeded
random numbers are exhausted, it will always return 0. Seed numbers must be
of a form that meets the expected output from "rand" as called with no
arguments -- i.e. they must be between 0 (inclusive) and 1 (exclusive).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README Todo


%changelog
* Thu Sep 20 2007 Marius Feraru <altblue@n0i.net> - 0.99-2.n0i.2
- rebuild

* Thu Jun 22 2006 Marius Feraru <altblue@n0i.net> - 0.99-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
